# GET /broker-properties

> Get properties listed by a brokerage

Source: https://uaepropertyapi.com/documentation/endpoints/broker-properties

Get all properties listed by a specific real estate brokerage or agency. Filter by property category (for sale, for rent, commercial). Returns parsed structured data.

- Base URL: `https://uae-real-estate-property.p.rapidapi.com`
- Category: Agents & Brokers
- Headers: `x-rapidapi-key: <YOUR_RAPIDAPI_KEY>`, `x-rapidapi-host: uae-real-estate-property.p.rapidapi.com`

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `broker_id` | string | yes | Broker/Agency ID from `/search-broker` endpoint; Find broker IDs by searching brokers first |
| `category` | string | no | Filter broker's properties by transaction type; `residential_sale`: Properties for sale; `residential_rent`: Properties for rent; `commercial_sale`: Commercial properties for sale; `commercial_rent`: Commercial properties for rent; Leave empty to show all |
| `sort` | string | no | Sort order for results; Options: `featured`, `newest`, `price_asc`, `price_desc`; Default: `featured` |
| `page` | string | no | Page number for pagination; Default: `1`; Examples: `1`, `2`, `3` |

## Example request

```bash
curl --request GET \
  --url 'https://uae-real-estate-property.p.rapidapi.com/broker-properties?broker_id=911' \
  --header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'
```

```python
import requests

url = "https://uae-real-estate-property.p.rapidapi.com/broker-properties"
querystring = {"broker_id": "911"}
headers = {
    "x-rapidapi-key": "YOUR_API_KEY",
    "x-rapidapi-host": "uae-real-estate-property.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)
print(response.json())
```

## Example response (shortened)

```json
{
  "success": true,
  "data": [
    {
      "listing_type": "property",
      "property_id": "16181926",
      "property_type": "Villa",
      "price": {
        "value": 180000000,
        "currency": "AED",
        "period": "sell",
        "is_hidden": false
      },
      "location": {
        "id": "4270",
        "full_name": "Signature Villas Frond J, Signature Villas, Palm Jumeirah, Dubai"
      },
      "images": [
        "https://static.shared.propertyfinder.ae/media/images/listing/QENWPA42A7STBTPPSGZ3KZDH00/848d14ea-fbfa-40e7-9b12-cfb860d22f7f/416x272.jpg"
      ],
      "agent_name": "James Carter",
      "agent_id": "192521",
      "broker_id": "911",
      "bedrooms": "6",
      "bathrooms": "7",
      "share_url": "https://www.propertyfinder.ae/en/plp/buy/villa-for-sale-dubai-palm-jumeirah-signature-villas-signature-villas-frond-j-16181926.html",
      "title": "Palm Jumeirah Ultra Luxury Custom Built Villa!"
    }
  ]
}
```

Related endpoints: 
